Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.portal.tools.portal.actions
Class BookDefinitionAction

    java.lang.Object
      com.bea.portal.tools.portal.actions.PortalControlAction
          com.bea.portal.tools.portal.actions.BookDefinitionAction

All Implemented Interfaces
  ControlAction

    public class BookDefinitionAction

extends PortalControlAction

Objects extending this class implement actions to be taken on portal controls. These may be used to specify multiple actions which need to occur in a single transactioni by calling the Portal controls' executeActions() method.

Method Summary
`static BookDefinitionAction` | `addNavigable(BookDefinitionControl control, NavigableDefinitionId navigableToAddId, int position, BookDefinitionId targetBookId)` Adds a child page or book (a navigable) to the specified book when the action is executed.
`static BookDefinitionAction` | `createBookDefinition(BookDefinitionControl control, String title, String description, MenuDefinitionId menuDefinitionId, boolean _public, String webapp)`
`static BookDefinitionAction` | `deleteBookDefinition(BookDefinitionControl control, BookDefinitionId id, boolean cascadeDelete)` Deletes the specified `BookDefinition` when the action is executed.
`void` | `doAction(ResourceContext context)` Method that actually performs the action on the control.
`static BookDefinitionAction` | `moveNavigable(BookDefinitionControl control, NavigableDefinitionId navigableToMoveId, int position, BookDefinitionId parentBookId)` Moves a child book or page (a navigable) within the specified book when the action is executed.
`static BookDefinitionAction` | `removeNavigable(BookDefinitionControl control, NavigableDefinitionId navigableToRemoveId, BookDefinitionId parentBookId)` Removes a child book or page (a navigable) from the specified book when the action is executed.
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### addNavigable

    public static BookDefinitionAction addNavigable(BookDefinitionControl control,
                                                    NavigableDefinitionId navigableToAddId,
                                                    int position,
                                                    BookDefinitionId targetBookId)

  Adds a child page or book (a navigable) to the specified book when the action is executed.

  Parameters
    `control` - the control to execute the action on.
    `navigableToAddId` - the id of the page or book to add
    `position` - the position of the child within the book
    `targetBookId` - the ID of the book to add the navigable to

### removeNavigable

    public static BookDefinitionAction removeNavigable(BookDefinitionControl control,
                                                       NavigableDefinitionId navigableToRemoveId,
                                                       BookDefinitionId parentBookId)

  Removes a child book or page (a navigable) from the specified book when the action is executed.

  Parameters
    `control` - the control to execute the action on.
    `navigableToRemoveId` - the id of the page or book to remove
    `parentBookId` - the ID of the book to remove the navigable from

### moveNavigable

    public static BookDefinitionAction moveNavigable(BookDefinitionControl control,
                                                     NavigableDefinitionId navigableToMoveId,
                                                     int position,
                                                     BookDefinitionId parentBookId)

  Moves a child book or page (a navigable) within the specified book when the action is executed.

  Parameters
    `control` - the control to execute the action on.
    `navigableToMoveId` - the id of the page or book to move
    `position` - the new position of the child within the book
    `parentBookId` - the ID of the book to move the navigable in

### deleteBookDefinition

    public static BookDefinitionAction deleteBookDefinition(BookDefinitionControl control,
                                                            BookDefinitionId id,
                                                            boolean cascadeDelete)

  Deletes the specified `BookDefinition` when the action is executed. Use the cascadeDelete parameter to either delete just the definition (false), or to delete the defintions and all instances of in any desktops (true).

  Parameters
    `control` - the control to execute the action on.
    `id` - the ID of the book to delete.
    `cascadeDelete` - if `true`, all instances in any desktops of the specified definition are also deleted. If `false`, only the definition is deleted.

### createBookDefinition

    public static BookDefinitionAction createBookDefinition(BookDefinitionControl control,
                                                            String title,
                                                            String description,
                                                            MenuDefinitionId menuDefinitionId,
                                                            boolean _public,
                                                            String webapp)

### doAction

    public void doAction(ResourceContext context)
                  throws Exception

  Method that actually performs the action on the control.

  Specified by:
    `doAction` in interface `ControlAction`
  Specified by:
    `doAction` in class `PortalControlAction`
  Throws
    `Exception`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.